package agentspace.dmi;

import agentspace.Message;

public class Test {
	public static void main(String[] args) throws Exception {
		try {
			java.lang.String s = new java.lang.String("OK");
			System.out.println("s = "+s);
			Message msg1 = new Message("java.lang.String");
			msg1.setArg("OK");
			System.out.println("msg = "+msg1);
			Proxy proxy1 = new Proxy(msg1);
			System.out.println("proxy1 = "+proxy1);
			Message msg2 = new Message("toString");
			Object result = proxy1.invoke(msg2);
			System.out.println("result = "+result);

			Message msg3 = new Message("java.awt.Frame");
			Proxy proxy2 = new Proxy(msg3);
			System.out.println("proxy2 = "+proxy2);
			Message msg4 = new Message("add");
			msg4.setArg(new java.awt.Button("OK"));
			proxy2.invoke(msg4);
			Message msg5 = new Message("setSize");
			msg5.setArg(50);
			msg5.setArg(100);
			proxy2.invoke(msg5);
			Message msg6 = new Message("show");
			proxy2.invoke(msg6);

			Message msg7 = new Message("java.lang.String");
			msg7.setArg("Hello");
			System.out.println("msg = "+msg7);
			byte[] data = Proxy.toByte(msg7);
			Message msg8 = Proxy.toMessage(data, null);
			System.out.println("msg = "+msg8);

			Message msg9 = new Message("java.math.Float");
			msg9.setArg(0.1234F);
			System.out.println("msg = "+msg9);
			byte[] data2 = Proxy.toByte(msg9);
			Message msg10 = Proxy.toMessage(data2, null);
			System.out.println("msg = "+msg10);
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}