package agentspace.monitor.control;

import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JToolBar;

public class AgentControlBar extends JToolBar {
	public JButton createButton = null;
	public JButton destroyButton = null;
	public JButton leaveButton = null;
	public JButton arriveButton = null;
	public JButton duplicateButton = null;
	public JButton parentButton = null;
	public JButton childButton = null;

	public AgentControlBar(ActionListener control) {
		super();

		createButton = new JButton("create");
		createButton.setActionCommand("create");
		createButton.addActionListener(control);
		createButton.setEnabled(true);
		add(createButton);

		destroyButton = new JButton("destroy");
		destroyButton.setActionCommand("destroy");
		destroyButton.addActionListener(control);
		destroyButton.setEnabled(false);
		add(destroyButton);
		
		leaveButton = new JButton("leave");
		leaveButton.setActionCommand("leave");
		leaveButton.addActionListener(control);
		leaveButton.setEnabled(false);
		add(leaveButton);

		arriveButton = new JButton("arrive");
		arriveButton.setActionCommand("arrive");
		arriveButton.addActionListener(control);
		arriveButton.setEnabled(false);
		add(arriveButton);

		duplicateButton = new JButton("duplicate");
		duplicateButton.setActionCommand("duplicate");
		duplicateButton.addActionListener(control);
		duplicateButton.setEnabled(false);
		add(duplicateButton);

		parentButton = new JButton("parent");
		parentButton.setActionCommand("parent");
		parentButton.addActionListener(control);
		parentButton.setRequestFocusEnabled(false);
		parentButton.setEnabled(false);
		add(parentButton);

		childButton = new JButton("child");
		childButton.setActionCommand("child");
		childButton.addActionListener(control);
		childButton.setRequestFocusEnabled(false);
		childButton.setEnabled(false);
		add(childButton);

		setFloatable(true);
	}
}

