package agent.reducer;


import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class MapUtil {

	public static void copy(Map master, Map<String, Integer> copy) {
		copy.clear();
		merge(master, copy);
	}

	public static Map merge(Map master, Map copy) {
		Map map = new HashMap();
		Iterator itr = master.entrySet().iterator();
		while (itr.hasNext()) {
			Map.Entry entry = (Map.Entry)itr.next();
			Object key = entry.getKey();
			Object value = entry.getValue();
			if (copy.containsKey(key)) {
				Object obj = copy.get(key);
				if (value instanceof Integer && obj instanceof Integer) {
					int result = ((Integer)value).intValue() + ((Integer)obj).intValue();
//					System.out.println("Map: "+((Integer)value).intValue()+" + "+((Integer)obj).intValue()+" = "+result);
					copy.remove(key);
					copy.put(key, new Integer(result));
				}
			}
			else {
				copy.put(key, value);
			}
		}
		return map;
	}

}
