package agentspace.discovery.gomi;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

public class ScheduleAtFixedRate {
    public static void main(String[] args) {
        ScheduledExecutorService exec = Executors.newScheduledThreadPool(3);
        long start = System.currentTimeMillis();
        for(int i = 0; i < 5; i++){
            System.out.println("main(" + i + ")#schedule - " + (System.currentTimeMillis() - start) + "ms");
//            exec.scheduleAtFixedRate(new TestLogic(i, start), 100, 200, TimeUnit.MILLISECONDS);
            exec.scheduleAtFixedRate(new ExpiredEntryMonitor(i, start), 100, 200, TimeUnit.MILLISECONDS);
        }
    }
}