package agentspace.discovery.scrap;

import java.io.IOException;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Set;

import agentspace.multicast.MulticastManager;
import agentspace.packet.HeartbeatManager;
import agentspace.packet.Packet;
import agentspace.packet.SizeLimitExceededPacketException;
import agentspace.packet.multicast.MulticastUDPReceiver;
import agentspace.packet.multicast.MulticastUDPSender;

public class Heartbeat implements Runnable {
	protected int interval;
	protected Packet packet;

	public Heartbeat(Packet packet, int interval) {
		this.packet = packet;
		this.interval = interval;
	}

	public Packet getPacket() {
		return packet;
	}
	
	public int getInterval() {
		return interval;
	}
}
