package agentspace.discovery.scrap;
//   Delete this file
/*

package agentspace.discovery.network;

import java.io.IOException;
import java.net.InetAddress;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.UnknownHostException;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Set;
import java.util.concurrent.Executor;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

import agentspace.discovery.RuntimeDiscoveryExpire;
import agentspace.discovery.network.MulticastPacketManager.Handler;
import agentspace.multicast.MulticastUDPReceiver;
import agentspace.multicast.MulticastUDPSender;
import agentspace.multicast.Packet;
import agentspace.multicast.SizeLimitExceededPacketException;
import agentspace.registry.AlreadyBoundException;
import agentspace.registry.NotBoundException;

public class HeartbeatManager {
	protected String groupName = "228.1.2.3";
	final protected int EXPIRE = 3000;
	final protected int CHECKING_INTERVAL = 1000;
	final protected int SENDING_INTERVAL = 2000;
	final protected String PROTOCOL = "AGENTSPACE";
	final protected String VERSION = "0.3";
	final protected String ADVERTISE_METHOD = "ADVERTISE";
	final protected String LOOKUP_METHOD = "LOOKUP";

	protected URI uri;
	protected int port;
	protected boolean active = true;
	protected InetAddress localAddress = null;
	protected MulticastUDPSender sender;
	protected MulticastUDPReceiver receiver;
	protected RuntimeDiscoveryExpire expire;
	protected long serial = 0;
	protected ScheduledThreadPoolExecutor multicastingExecutor = null;	
	protected ExecutorService monitoringExecutor = null;	
	
	protected List<Heartbeat> beats;
	protected List<ExpiredListener> listener;
	
	public HeartbeatManager(int port) {
		this.port = port;
		try {
			localAddress = InetAddress.getLocalHost();
			sender = new MulticastUDPSender(groupName, port);
			receiver = new MulticastUDPReceiver(groupName, port);
		} 
		catch (UnknownHostException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public HeartbeatManager(String groupName, int port) {
		this(port);
		this.groupName = groupName;
	}

	protected void multicast(Packet packet) throws IllegalArgumentException, IOException, SizeLimitExceededPacketException {
		packet.setSource(localAddress);
		packet.setReplySerial(serial++);
		sender.send(packet.getBytes());
	}
	
	public synchronized void addHeartbeat(HeartBeat beat) {
		if (beats == null) {
			beats = new List<Heartbeat>();
		}
		beats.add(beat);
		multicastingExecutor.scheduleAtFixedRate(multicastingRunnable,
				beat.getInitialDelay(), beat.getInterval(), TimeUnit.MILLISECONDS); 
	}
	
	public void removeHeartbeat(HeartBeat beat) {
		if (beats != null && !beats.isEmpty()) {
			beats.remove(beat);
		}
	}
	
	Runnable multicastingRunnable = new Runnable() {
		Heartbeat beat;
		public void setHeartbeat(Heartbeat beat) {
			this.beat = beat;
		}
		public void run() {
			try {
				multicast();
			} 
			catch (IllegalArgumentException e) {
				e.printStackTrace();
			} 
			catch (SizeLimitExceededPacketException e) {
				e.printStackTrace();
			}
			catch (UnknownHostException e) {
			e.printStackTrace();
			}
			catch (IOException e) {
				e.printStackTrace();
			}
		}
	};

	Runnable executeReceiving = new Runnable() {
		public void run() {
			while (active) {
				try {
					byte[] data = receiver.receive();
					Packet packet = new Packet(data);
					String protocol = packet.getProtocol();
					String method = packet.getMethod();
					String key = protocol+":"+method;
					List<PacketListener> list = table.get(key);
					if (list != null) {
						synchronized(list) {
							for (PacketListener listener: list) {
								//							listener.received(packet);
								(new Thread(new Handler(listener, packet))).start(); 
							}
						}
					}
				}	
				catch (SizeLimitExceededPacketException e) {
					e.printStackTrace();
				}
				catch (URISyntaxException e) {
					e.printStackTrace();
				}
				catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
	};

	Runnable expireExecutor = new Runnable() {
		public void run() {
			while(active) {
				try {
					if (System.currentTimeMillis() - lastTime > expireTime) {
						for (ExpiredListener i : listeners) {

						}
					}
					
					
					Iterator<URI> i = registry.getKeys().iterator();
					while (i.hasNext()) {
						URI uri = (URI)i.next();
						AgentServerInfo asi = registry.lookup(uri);
						if (asi != null) {
//							System.out.println("AgentRuntimeDiscovery: System.currentTimeMillis:"+System.currentTimeMillis()+" - asi.getLastTime:"+asi.getLastTime() +" = "+ (System.currentTimeMillis() - asi.getLastTime()) +" >? "+expired);
							if (System.currentTimeMillis() - asi.getLastTime() > expired) {
								registry.remove(uri);
							}
						}
					}
					try {
						Thread.sleep(interval);
					} 
					catch (InterruptedException e) {
						break;
					}
				} 
				catch (NotBoundException e) {
					e.printStackTrace();
				}

			}
		}
	};
	
	public HeartbeatManager(MulticastPacketManager manager) {
		this.manager = manager;
	}
	
	public Heartbeat startHeartbeat(Packet packet, int interval) {
		Heartbeat heartbeat = new Heartbeat(manager, interval);
		heartbeat.setPacket(packet);
		heartbeat.start();
		if (beats == null) {
			beats = new LinkedList<Heartbeat>();
		}
		beats.add(heartbeat);
		return heartbeat;
	}
	
	public void stopHeartbeat(Heartbeat beat) {
		if (beats != null) {
			beat.stop();
			beats.remove(beat);
			if (beats.isEmpty()) {
				beats = null;
			}
		}
	}
	
	public void stopAllHeartbeats() {
		if (beats != null) {
			for (Heartbeat i : beats) {
				i.stop();
			}
		}
	}
}
*/
