package agentspace.discovery.gomi;

import java.io.IOException;
import java.net.URISyntaxException;

import agentspace.multicast.Packet;
import agentspace.multicast.SizeLimitExceededPacketException;

public class HeartbeatPacket extends Packet {
	protected int heartbeatPort = -1;
	protected String MATP = "MATP-PORT";
	protected String HEARTBEAT = "HEARTBEAT-PORT";
	
	public HeartbeatPacket() {}

	public HeartbeatPacket(byte[] data) throws IOException, SizeLimitExceededPacketException, URISyntaxException {
		super();
	}
	
	public void setMatpPort(int port) {
		super.setAttribute(MATP, String.valueOf(port)); 
	}
	
	public int getMatpPort() {
		return Integer.getInteger(super.getAttribute(MATP));
	}

	public int getHeartbeatPort() {
		return Integer.getInteger(super.getAttribute(HEARTBEAT));
	}

	public void setHeartbeatPort(int port) {
		super.setAttribute(HEARTBEAT, String.valueOf(port));
	}
}
