package agentspace.packet;

import agentspace.packet.Packet;

public class Heartbeat {
	HeartbeatManager manager;
	Packet packet;

	public Heartbeat(HeartbeatManager manager, Packet packet) {
		this.manager = manager;
		this.packet = packet;
	}
	
	public synchronized Packet getPacket() {
		return packet;
	}
	
	public synchronized void setPacket(Packet packet) {
		this.packet = packet;
	}
	
	public long getInterval() {
		return manager.getInterval();
	}
	
	public void start() {
		manager.start();
	}

	public void stop() {
		manager.stop();
	}
}
